%define upstream_name    AI-Termites
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Artificial termites simulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Vector::Real)
BuildRequires: perl(Math::Vector::Real::MultiNormalMixture)
BuildRequires: perl(Math::Vector::Real::Random)
BuildRequires: perl(Math::Vector::Real::kdTree)
BuildRequires: perl(Math::nSphere)
BuildArch: noarch

%description
This module simulates a termites world based on the ideas described on the
book "Adventures in Modeling" by Vanessa Stevens Colella, Eric Klopfer and
Mitchel Resnick (the http://education.mit.edu/starlogo/adventures/
manpage).

In this version, termites can move in a n-dimensional boxed space, and are
not limited to integer coordinates.

Also, the way they decide when to pick or leave wood are customizable,
allowing to investigate how changing the rules affects the emergent
behaviors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.20.0-9pclos2017
- rebuild against updates

